package org.openmuc.core.datamanager.config;

import java.util.Date;

import org.openmuc.core.measurement.ChannelIdentifier;
import org.openmuc.core.measurement.Unit;

public interface ChannelConfiguration {

	/** Do not store value in database */
	public static final int STORE_TYPE_NONE = 0;
	/** Store instantaneous value */
	public static final int STORE_TYPE_INST = 1;
	/** Store mean value in database */
	public static final int STORE_TYPE_MEAN = 2;
	/** Store in database only if value has changed */
	public static final int STORE_TYPE_VALUE_CHANGED = 3;

	public abstract double getScaler();

	public abstract void setScaler(double scaler);
	
	public abstract double getOffset();

	public abstract void setOffset(double offset);

	public abstract Float getAbsoluteChangeLevel();

	public abstract void setAbsoluteChangeLevel(float absoluteChangeLevel);

	public abstract Float getRelativeChangeLevel();

	public abstract void setRelativeChangeLevel(float relativeChangeLevel);

	public abstract int getStorageType();

	public abstract int getStoringPeriod();

	public abstract Date getStoringStartTime();

	public abstract ChannelIdentifier getDataID();

	public abstract String getDescription();

	public abstract String getLabel();

	public abstract void setLabel(String label);

	public abstract String getObjectLocator();

	public abstract void setObjectLocator(String objectLocator);
	
	public abstract Unit getUnit();
	
	public abstract void setUnit(Unit unit);
	
	/**
	 * 
	 * @param storingPeriod period of data storing in seconds
	 */
	public abstract void setStoringPeriod(int storingPeriod);

	public abstract void setStoringStartTime(Date storingStartTime);

	public abstract void setDescription(String description);

	public abstract void setRelativeChangeLevel(Float relativeChangeLevel);
	
	public abstract void setStorageType(int storageType);

	public abstract Double getLowerLimit();
	public abstract void setLowerLimit(Double limit);
	
	public abstract Double getUpperLimit();
	public abstract void setUpperLimit(Double limit);
	
}