package org.openmuc.core.common;

import gnu.io.SerialPort;

import org.junit.Test;
import static org.junit.Assert.*;

public class TestSerialPortSettings {
	
	@Test
	public void testStringParser() {
		String settings = "2400-8N1";
		SerialPortSettings portSettings = new SerialPortSettings(settings);
		
		assertEquals(2400, portSettings.getBaudrate());
		assertEquals(SerialPort.DATABITS_8, portSettings.getDataBits());
		assertEquals(SerialPort.PARITY_NONE, portSettings.getParity());
		assertEquals(SerialPort.STOPBITS_1, portSettings.getStopBits());
			
		/* Missing slash */
		settings = "2400 8N1";
		try {
			portSettings = new SerialPortSettings(settings);
			assertTrue(false);
		} catch (IllegalArgumentException e) {
			assertTrue(true);
		}
		
		/* Letters instead of numerals */
		settings = "24OO-8N1";
		try {
			portSettings = new SerialPortSettings(settings);
			assertTrue(false);
		} catch (IllegalArgumentException e) {
			assertTrue(true);
		}

		
	}
}
