package org.openmuc.core.driver.test;

/*
 * Copyright Fraunhofer ISE, 2011
 * Author(s): Simon Fey
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import org.openmuc.core.driver.BusURI;
import junit.framework.TestCase;

public class BusURITest extends TestCase{
	
	public void testBusURI1() {
		String URI = "driverID:127.0.0.123";
		BusURI url = new BusURI(URI);
		assertEquals("driverID", url.getDriverID());
		assertEquals("127.0.0.123", url.getComPort());
	}
	
	public void testBusURI2() {
		String URI = "driverID:127.0.0.1";
		BusURI url = new BusURI(URI);
		assertEquals("driverID", url.getDriverID());
		assertEquals("127.0.0.1", url.getComPort());
	}
	

}
