package org.openmuc.core.obis;


import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

public class TestOBISCode {
	
	private byte[] code1 = new byte[] {0x01, 0x00, 0x01, 0x08, 0x01, (byte)  0xff};
	private byte[] code2 = new byte[] {(byte) 128, 0, 0, 0, 0, 0};
	private byte[] code3 = new byte[] {0, (byte) 128, 0, 0, 0, 0};
	private byte[] code4 = new byte[] {0, 0, (byte) 128, 0, 0, 0};
	private byte[] code5 = new byte[] {0, 0, 0, (byte) 128, 0, 0};
	private byte[] code6;
	private byte[] code7;
	
//	
//	@Before
//	public void setUp() {
//		code1 = new byte[] {0x01, 0x00, 0x01, 0x08, 0x01, (byte)  0xff};
//		code2 = new byte[] {(byte) 128, 0, 0, 0, 0, 0};
//		code3 = new byte[] {0, (byte) 128, 0, 0, 0, 0};
//		code4 = new byte[] {0, 0, (byte) 128, 0, 0, 0};
//		code5 = new byte[] {0, 0, 0, (byte) 128, 0, 0};
//	}
	
	@Test
	public void testConstructors() {
		OBISCode obisCode1 = new OBISCode(code1);
		OBISCode obisCode2 = new OBISCode("1-0:1.8.1*255");
		
		assertTrue(obisCode1.equals(obisCode2));
	}
	
	@Test
	public void testManufacturerSpecific() {
		OBISCode obisCode1 = new OBISCode(code1);
		
		assertFalse(obisCode1.isManufacturerSpecific());
		
		obisCode1 = new OBISCode(code2);
		
		assertFalse(obisCode1.isManufacturerSpecific());
		
		assertTrue(new OBISCode(code3).isManufacturerSpecific());
		assertTrue(new OBISCode(code4).isManufacturerSpecific());
		assertTrue(new OBISCode(code5).isManufacturerSpecific());
	}
	
	@Test
	public void testParser() {
		OBISCode obisCode1 = new OBISCode(code1);
		OBISCode obisCode2 = new OBISCode("1-0:1.8.1*255");
		OBISCode obisCode3 = new OBISCode("1-0:1.8.1");
		
		assertEquals(obisCode1, obisCode2);
		assertEquals(obisCode2, obisCode3);
	}
	
}
