package org.openmuc.core.datamanager.impl;

import org.apache.log4j.Logger;
import org.openmuc.core.datamanager.config.PlantConfiguration;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class PlantConfigurationImpl implements PlantConfiguration {

	private static Logger logger = Logger.getLogger(PlantConfigurationImpl.class);
	
	private Configuration configuration;
	private String name;
	
	
	public PlantConfigurationImpl (Configuration configuration, Node nodeMeter) {
		this.configuration = configuration;
	
		NodeList childNodes = nodeMeter.getChildNodes();
	
		NamedNodeMap attributes = nodeMeter.getAttributes();
		
		Node nameAttribute = attributes.getNamedItem("name");
		
		if (nameAttribute != null) {
			this.name = nameAttribute.getTextContent();
		}
		
		for (int i = 0; i<childNodes.getLength(); i++) {
			Node child = childNodes.item(i);
			if(child.getNodeName().equals("#text") || child.getNodeName().equals("#comment"))
				continue;
			else
				logger.info(child.getNodeName() +  " is no valid entry");
		}
	}
	
	public String getName() {
		return name;
	}
	
	protected void persist(Element parent, Document document) {
		Node plant = XMLUtils.hasTagAsChild(parent, "plant");
		
		if (plant != null) {
			XMLUtils.updateAttributeValue(plant, "name", name);
		}
	}

}
