package org.openmuc.mux.dbprovider.slotsdb;

/*
 * Copyright Fraunhofer ISE, 2010
 * Author(s): Simon Fey
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.io.DataInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

public class SlotsDatabaseUtil {
	public static void printWholeFile(File file) throws IOException{
		if(!file.getName().contains(SlotsDatabase.FILE_EXTENSION)) {
			System.err.println(file.getName() + " is not a \"" + SlotsDatabase.FILE_EXTENSION + "\" file.");
			return;
		} else {
			DataInputStream dis = new DataInputStream(new FileInputStream(file));
			if(file.length()>=16) {
				System.out.println("StartTimestamp: " + dis.readLong() + "  -  StepIntervall: " + dis.readLong());
				while (dis.available() >= 9) {
					System.out.println(dis.readDouble() + "  -\t  Flag: " + dis.readByte());
				}
			}
		}
	}
	public static void printWholeFile(String filename) throws IOException{
		printWholeFile(new File(filename));
	}
}
