package org.openmuc.demoproject;

/*
 * Copyright Fraunhofer ISE, 2012
 * Author(s): Simon Fey
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import org.openmuc.core.datamanager.DataManager;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

public class Activator implements BundleActivator {

	private DataManager dataManager;
	private WagoBlinker blinker;

	public void start(BundleContext bc) throws Exception {
		/*
		 * get DataManager Service.
		 */
		ServiceReference ref = bc.getServiceReference(DataManager.class.getName());
		dataManager = (DataManager) bc.getService(ref);

		/*
		 * Start program.
		 */
		blinker = new WagoBlinker(dataManager);
	}

	public void stop(BundleContext bc) throws Exception {
		blinker.stop();
	}

}
