package org.openmuc.demoproject;

/*
 * Copyright Fraunhofer ISE, 2012
 * Author(s): Simon Fey
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.util.Timer;
import java.util.TimerTask;

import org.openmuc.core.datamanager.Authentication;
import org.openmuc.core.datamanager.DataManager;
import org.openmuc.core.datamanager.DataStorage;

/**
 * Class implementing a Blinker for a Wago Output.
 * @author sfey
 *
 */
public class WagoBlinker {
	private DataStorage wagoOutput;
	Timer timer;
	
	public WagoBlinker(DataManager dataManager) {
		wagoOutput = dataManager.getDataStorage("wagoOutput", new Authentication("", ""));
		timer = new Timer();
		
		timer.schedule(new TimerTask() {
			
			boolean toSet = false;
			
			@Override
			public void run() {
				wagoOutput.setValue(toSet ? 0 : 1);
				
				System.out.println("Wago Output set to: " + (toSet ? 0 : 1));
				
				toSet = !toSet;
			}
		}, 1000, 1000);
	}
	
	/**
	 * Stops the Blinker.
	 */
	public void stop() {
		timer.cancel();
	}
}
