import java.io.IOException;

import org.openmuc.canopen.exception.NoDeviceException;
import org.openmuc.canopen.exception.TimeoutException;
import org.openmuc.canopen.lib.CANopenLib;
import org.openmuc.canopen.lib.SDOClient;


public class Main {

	
	public static void main_old(String[] args) throws NoDeviceException, IOException  {
		
		boolean finish = false;
		
		int state = 1;
		int new_state = 1;
		
		int loop_count = 0;
		
		CANopenLib connection = new CANopenLib();
		
		connection.connect("can0");
		
		do {
            if (state == 1) {
            	connection.sendSDOUploadInitiate((byte) 2, 0x6011, (short) 2);
                new_state = 2;
            }
            else if (state == 2) {
            	connection.sendSDOUploadSegment((byte) 2, false);
                new_state = 3;
            }
            else if (state == 3) {
            	connection.sendSDOUploadSegment((byte) 2, true);
                new_state = 4;
            }

            if (state == 4) finish = true;
            
            state = new_state;

            connection.readFrameWithTimeout(100);
            
            
            
			// System.out.println("loop: " + loop_count);
			loop_count++;
		} while (finish == false);
		
		connection.close();
	}
	
	private static void printArray(byte[] array) {
		for (int i = 0; i < array.length; i++) {
			System.out.printf("%02x ", array[i]);
		}
		System.out.println();
	}
	
	public static void main(String[] args) throws NoDeviceException, IOException  {
		
		boolean finish = false;
		
		byte[] data;
		
		SDOClient sdoClient;
		
		CANopenLib connection = new CANopenLib();
		
		sdoClient = connection.newSDOClient(2);
		
		connection.connect("can0");
		
		if ((data = sdoClient.uploadData(2, 0x6011, 2)) != null) {
			System.out.print("Upload data finished: ");
			printArray(data);
			
		}
		
		if ((data = sdoClient.uploadData(2, 0x600c, 2)) != null) {
			System.out.print("Upload data finished!");
			printArray(data);
		}
		
		
		try {
			Thread.sleep(10000);
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		connection.close();
	}
}
