package org.openmuc.canopen.driver;

/*
 * Copyright Fraunhofer ISE, 2011
 * Author(s): Frederic Robra
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import org.openmuc.core.driver.DeviceDriverInterface;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceRegistration;

public class Activator implements BundleActivator {

	private ServiceRegistration serviceReg;
	private CANopenDriver driver;
	
	public void start(BundleContext context) throws Exception {
		driver = new CANopenDriver();
		DeviceDriverInterface service = driver;
		
		serviceReg = context.registerService(DeviceDriverInterface.class.getName(),
					service, null);
	}

	public void stop(BundleContext context) throws Exception {
		serviceReg.unregister();
		driver.shutdown();
	}

}
