package org.openmuc.canopen.driver;

/*
 * Copyright Fraunhofer ISE, 2011
 * Author(s): Frederic Robra
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import org.openmuc.core.driver.DataReceivedListener;

/**
 * 
 * @author Frederic Robra
 *
 */
public class ErrorThread implements Runnable {
	
	private DataReceivedListener callback;
	private Object handle;
	private int errorCode;
	
	public ErrorThread(DataReceivedListener callback, Object handle, int errorCode) {
		this.errorCode = errorCode;
		this.handle = handle;
		this.callback = callback;
	}

	public void run() {
		callback.readoutError(handle, errorCode);
	}

}
