package org.openmuc.ehz.driver;

/*
 * Copyright Fraunhofer ISE, 2011
 * Author(s): Frederic Robra
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.io.IOException;
import java.text.ParseException;
import java.util.Hashtable;
import java.util.List;

import org.openmuc.ehz.exception.NotFoundException;
import org.openmuc.ehz.driver.DeviceInfo;



public abstract class Device {
	public Device(String iface, String config) throws NotFoundException, IOException { }
	
	public abstract Hashtable<String, Double> getValues() throws ParseException, IOException;
	
	public abstract List<DeviceInfo> getDeviceInfos() throws ParseException, IOException;

	public abstract String getID();
	
	public abstract String getName();
	
	public abstract void close();
	
	@Override
	protected void finalize() throws Throwable {
		this.close();
		super.finalize();
	}
}
