package org.openmuc.mbus.driver;

import org.apache.log4j.Logger;
import org.openmuc.jmbus.Util;


public class MBusObjectLocator {
	private static Logger logger = Logger.getLogger(MBusObjectLocator.class);
	
	public static final int TYPE_UNKOWN = 0;
	public static final int TYPE_MBUS = 1;
	public static final int TYPE_OBIS = 2;
	
	private int type = TYPE_UNKOWN;
	
	private byte[] difs = null;
	private byte[] vifs = null;
	
	public int getType() {
		return type;
	}

	public byte[] getDifs() {
		return difs;
	}

	public byte[] getVifs() {
		return vifs;
	}

	public MBusObjectLocator(String locator) {
		String res;
		
		if (locator.startsWith("mbus:")) {
			this.type = TYPE_MBUS;
			res = locator.substring(5);
			
			String[] strs = res.split("/");
			
			if (strs.length != 2) {
				logger.error("Error parsing object locator");
			}
			else {
				difs = Util.createByteArrayFromString(strs[0]);
				vifs = Util.createByteArrayFromString(strs[1]);
			}
		}
		else {
			this.type = TYPE_OBIS;
			res = locator;
		}
		
	}
	
}
