package org.openmuc.sunnywebbox;

public class SunnyWebboxChannelDescription {
	public static final String InvOpStt = "operating mode";
	public static final String AhCntln = "meter for battery charging ampere hours";
	public static final String InvPwrAt = "inverter effective power";
	public static final String InvVtg = "inverter voltage";
	public static final String InvCur = "inverter current";
	public static final String InvFrq = "inverter frequency";
	public static final String InvPwrRt = "inverter reactive power";
	public static final String Rly1Stt = "state of relay 1";
	public static final String Rly2Stt = "state of relay 2";
	public static final String BatSoc = "present battery charge state (SOC)";
	public static final String BatVtg = "battery voltage";
	public static final String BatChrgVtg = "battery charging voltage";
	public static final String AptTmRmg = "remaining absorption time (hhmmss)";
	public static final String BatChrgOp = "active charging process";
	public static final String TotBatCur = "total battery current";
	public static final String BatTmp = "battery temperature";
	public static final String RmgTmFul = "time remaining until next full charge";
	public static final String RmgTmEqu = "time remaining until next equalization charge";
	public static final String AptPhs = "absorption phase is active";
	public static final String BatSocErr = "estimated error of the charge state";
	public static final String GdRmgTm = "remaining time of GdValTm parameter (valid grid time) (hhmmss)";
	public static final String ExtPwrAt = "effective power of external source";
	public static final String ExtVtg = "voltage of external source";
	public static final String ExtCur = "current of external source";
	public static final String ExtFrq = "frequency of external source";
	public static final String ExtPwrRt = "reactive power of external source";
	public static final String InvVtgNom = "nominal inverter voltage";
	public static final String InvChrgCurMax = "maximum AC charging current";
	public static final String InvFrqNom = "nominal inverter frequency";
	public static final String InvVtgMin = "minimum inverter voltage";
	public static final String InvVtgMax = "maximum inverter voltage";
	public static final String InvFrqMin = "minimum inverter frequency";
	public static final String InvFrqMax = "maximum inverter frequency";
	public static final String BatTyp = "battery type";
	public static final String BatCpyNom = "Nominal battery capacity (E:C10/U:C20)";
	public static final String BatVtgNom = "nominal battery voltage";
	public static final String BatTmpMax = "maximum battery temperature";
	public static final String BatTmpStr = "battery restart temperature following stop due to overtemperature";
	public static final String BatChrgCurMax = "battery charging current limit (depends on nominal battery capacity), 60% of the nominal battery capacity";
	public static final String AptTmBoost = "absorption time for normal charge";
	public static final String AptTmFul = "absorption time for full charge";
	public static final String AptTmEqu = "absorption time for equalization charge";
	public static final String CycTmFul = "full charge cycle time";
	public static final String CycTmEqu = "equalization charge cycle time";
	public static final String ChrgVtgBoost = "cell voltage nominal value for normal";
	public static final String ChrgVtgFul = "cell voltage nominal value for full charge";
	public static final String ChrgVtgEqu = "cell voltage nominal value for equalization";
	public static final String ChrgVtgFlo = "voltage nominal value for float charge";
	public static final String BatTmpCps = "temperature compensation";
	public static final String AutoEquChrgEna = "automatic equalization charge";
	public static final String BatPro1TmStr = "for starting battery preservation mode level 1";
	public static final String BatPro1TmStp = "for stopping battery preservation mode level 1";
	public static final String BatPro2TmStr = "for starting battery preservation mode level 2";
	public static final String BatPro2TmStp = "for stopping battery preservation mode level 2";
	public static final String BatPro1Soc = "limit for preservation mode level 1";
	public static final String BatPro2Soc = "limit for preservation mode level 2";
	public static final String BatPro3Soc = "limit for preservation mode level 3";
	public static final String SilentEna = "allows silent mode on the grid";
	public static final String SilentTmFlo = "max. time for float charge until transfer into silent";
	public static final String SilentTmMax = "max. time for silent mode until transfer into silent";
	public static final String AcSrcFrqDel = "frequency increase for disconnecting AC feed-in generators";
	public static final String PvFeedTmStr = "start time for PV grid feeding";
	public static final String PvFeedTmStp = "stop time for PV grid feeding";
	public static final String ExtLkTm = "lock time after reverse power or relay protection";
	public static final String ExtSrc = "grid operation";
	public static final String GdVtgMin = "minimum grid voltage";
	public static final String GdVtgMax = "maximum grid voltage";
	public static final String GdCurNom = "nominal grid current";
	public static final String GdFrqNom = "nominal grid frequency";
	public static final String GdFrqMin = "minimum grid frequency";
	public static final String GdFrqMax = "maximum grid frequency";
	public static final String GdVldTm = "minimum time required for grid (voltage and frequency) to be within permissible range for connection";
	public static final String GdMod = "grid interface";
	public static final String GdRvPwr = "permissible grid reverse power (effective power)";
	public static final String GdRvTm = "permissible time for grid reverse power";
	public static final String GdAISns = "AI sensitivity";
	public static final String GdVtgIncProEna = "allows voltage rise protection";
	public static final String GdVtgIncPro = "threshold for voltage rise protection";
	public static final String Rly1Op = "function of relay 1";
	public static final String Rly2Op = "function of relay 2";
	public static final String Lod1SocTm1Str = "SOC limit for load shedding 1 start for t1";
	public static final String Lod1SocTm1Stp = "SOC limit for load shedding 1 stop for t1";
	public static final String Lod1SocTm2Str = "SOC limit for load shedding 1 start for t2";
	public static final String Lod1SocTm2Stp = "SOC limit for load shedding 1 stop for t2";
	public static final String Lod1Tm1Str = "load shedding 1 time 1 (begin time 1, end time 2)";
	public static final String Lod1Tm2Str = "load shedding 1 time 2 (begin time 2, end time 1)";
	public static final String RlyTmr1StrDt = "start date timer 1";
	public static final String RlyTmr1StrTm = "start time for relay control timer 1";
	public static final String RlyTmr1Dur = "run time for relay control timer 1";
	public static final String RlyTmr1Cyc = "repeated cycle time for timer 1";
	public static final String RlyTmr2StrDt = "start date timer 2";
	public static final String RlyTmr2StrTm = "start time for relay control timer 2";
	public static final String RlyTmr2Dur = "run time for relay control timer 2";
	public static final String RlyTmr2Cyc = "repeated cycle time for timer 2";
	public static final String Dt = "date";
	public static final String Tm = "time";
	public static final String ComBaud = "baud rate interface";
	public static final String EgyCntIn = "energy absorbed";
	public static final String EgyCntOut = "energy fed";
	public static final String EgyCntTm = "energy metering run time";
	public static final String Adr = "device address (type)";
	public static final String FwVer = "BFR firmware version";
	public static final String SN = "serial number";
	public static final String OnTmh = "operating hours";
	public static final String OpStt = "operating mode (device)";
	public static final String CardStt = "MMC/SD card status message";
	public static final String FwVer2 = "DSP firmware version";
	public static final String FwVer3 = "BFR boot loader";
	public static final String FwVer4 = "DSP boot loader";
	public static final String Soh = "state of health (SOH), ratio of current capacity and nominal value";
	public static final String StatTm = "statistics metering run time";
	public static final String ChrgFact = "charging factor";
	public static final String BatEgyCntIn = "energy meter for battery charge";
	public static final String BatEgyCntOut = "energy meter for battery discharge";
	public static final String AhCntIn = "meter for battery charging ampere hours";
	public static final String AhCntOut = "meter for battery discharging ampere hours";
	public static final String BatTmpPkMin = "minimum battery temperature";
	public static final String BatTmpPkMax = "maximum battery temperature";
	public static final String EquChrgCnt = "equalization charge meter";
	public static final String FulChrgCnt = "full charge meter";
	public static final String BatCurOfsErr = "current offset error of battery current";
	public static final String OcvPointCnt = "meter for open-circuit voltage points";
	public static final String GdEgyCntIn = "energy meter for grid feed-in";
	public static final String GdEgyCntOut = "energy meter for power taken from the grid";
	public static final String GdEgyTmh = "run time of grid energy meter";
	public static final String GdOpTmh = "operating hour meter for grid operation";
	public static final String GdCtcCnt = "meter for grid connections";
	public static final String InvRs = "triggers inverter reset";
	public static final String InvTmOpEna = "activates time-controlled inverter operation";
	public static final String InvTmOpStrDt = "start date of time-controlled inverter operation";
	public static final String InvTmOpStrTm = "start time of time-controlled inverter operation";
	public static final String InvTmOpRnDur = "run time for time-controlled inverter operation";
	public static final String InvTmOpCyc = "repeated cycle time for timer 1";
	public static final String CntRs = "clears selected energy meter";
	public static final String ManChrgSel = "triggers equalization charge (manual)";
	public static final String BkupTst = "backup system test";
	public static final String ParaSto = "saves parameter settings";
	public static final String ParaLod = "loads parameter settings";
	public static final String CardFunc = "functions for MMC/SD card";
	public static final String DatLogEna = "activates automatic data storage";
	
	public static final String BatEta  = "Efficiency of total charge operation";
	public static final String ChrgeFact = "Chargefactor";
	public static final String ClstCfgAt  = "Cluster configuration";
	public static final String ExtCurSlv1 = "current of external source on slave 1";
	public static final String ExtCurSlv2 = "current of external source on slave 2";
	public static final String ExtCurSlv3 = "current of external source on slave 3";
	public static final String ExtPwrAtSlv1 = "effective power at external source on slave 1";
	public static final String ExtPwrAtSlv2 = "effective power at external source on slave 2";
	public static final String ExtPwrAtSlv3 = "effective power at external source on slave 3";
	public static final String ExtPwrRtSlv1 = "reactive power of external source on slave 1";
	public static final String ExtPwrRtSlv2 = "reactive power of external source on slave 2";
	public static final String ExtPwrRtSlv3 = "reactive power of external source on slave 3";
	public static final String ExtVtgSlv1 = "voltage of external source on slave 1";
	public static final String ExtVtgSlv2 = "voltage of external source on slave 2";
	public static final String ExtVtgSlv3 = "voltage of external source on slave 3";
	public static final String Fac = "grid frequency";
	public static final String Firmware = "firmware version";
	public static final String GnDmdSrc  = "Generator demand source";
	public static final String GnEgyCnt = "generator energy meter";
	public static final String GnOpTmh = "operating hour meter for generator";
	public static final String GnRmgTm = "remaining generator run time (minimum run time)";
	public static final String GnRnStt  = "Generator Run state";
	public static final String GnStrCnt = "number of generator starts";
	public static final String GnStt  = "Generator State";
	public static final String Iac = "nominal AC current";
	public static final String InvCurSlv1 = "inverter current on slave 1";
	public static final String InvCurSlv2 = "inverter current on slave 2";
	public static final String InvCurSlv3 = "inverter current on slave 3";
	public static final String InvOpSttSlv1 = "operating mode of slave 1";
	public static final String InvOpSttSlv2 = "operating mode of slave 2";
	public static final String InvOpSttSlv3 = "operating mode of slave 3";
	public static final String InvPwrAtSlv1 = "effective power of inverter on slave 1";
	public static final String InvPwrAtSlv2 = "effective power of inverter on slave 2";
	public static final String InvPwrAtSlv3 = "effective power of inverter on slave 3";
	public static final String InvPwrRtSlv1 = "reactive power of inverter on slave 1";
	public static final String InvPwrRtSlv2 = "reactive power of inverter on slave 2";
	public static final String InvPwrRtSlv3 = "reactive power of inverter on slave 3";
	public static final String InvVtgSlv1 = "inverter voltage on slave 1";
	public static final String InvVtgSlv2 = "inverter voltage on slave 2";
	public static final String InvVtgSlv3 = "inverter voltage on slave 3";
	public static final String Msg = "Failure Code";
	public static final String Pac = "AC power";
	public static final String TotExtCur = "total current of external source";
	public static final String TotExtPwrAt = "total effective power of external source";
	public static final String TotExtPwrRt = "total reactive power of external source";
	public static final String TotInvCur = "total inverter current (cluster)";
	public static final String TotInvPwrAt = "total effective power on inverter (cluster)";
	public static final String TotInvPwrRt = "total reactive power of inverter (cluster)";
	public static final String TotTmh = "feed-in hours";
	public static final String Vac = "AC voltage";

	public static String getDescription(String channelName) {
		if (channelName != null) {
			try {
				switch (knownChannels.valueOf(channelName)) {
					case InvOpStt: return InvOpStt;
					case AhCntln: return AhCntln;
					case InvPwrAt: return InvPwrAt;
					case InvVtg: return InvVtg;
					case InvCur: return InvCur;
					case InvFrq: return InvFrq;
					case InvPwrRt: return InvPwrRt;
					case Rly1Stt: return Rly1Stt;
					case Rly2Stt: return Rly2Stt;
					case BatSoc: return BatSoc;
					case BatVtg: return BatVtg;
					case BatChrgVtg: return BatChrgVtg;
					case AptTmRmg: return AptTmRmg;
					case BatChrgOp: return BatChrgOp;
					case TotBatCur: return TotBatCur;
					case BatTmp: return BatTmp;
					case RmgTmFul: return RmgTmFul;
					case RmgTmEqu: return RmgTmEqu;
					case AptPhs: return AptPhs;
					case BatSocErr: return BatSocErr;
					case GdRmgTm: return GdRmgTm;
					case ExtPwrAt: return ExtPwrAt;
					case ExtVtg: return ExtVtg;
					case ExtCur: return ExtCur;
					case ExtFrq: return ExtFrq;
					case ExtPwrRt: return ExtPwrRt;
					case InvVtgNom: return InvVtgNom;
					case InvChrgCurMax: return InvChrgCurMax;
					case InvFrqNom: return InvFrqNom;
					case InvVtgMin: return InvVtgMin;
					case InvVtgMax: return InvVtgMax;
					case InvFrqMin: return InvFrqMin;
					case InvFrqMax: return InvFrqMax;
					case BatTyp: return BatTyp;
					case BatCpyNom: return BatCpyNom ;
					case BatVtgNom: return BatVtgNom ;
					case BatTmpMax: return BatTmpMax;
					case BatTmpStr: return BatTmpStr;
					case BatChrgCurMax: return BatChrgCurMax ;
					case AptTmBoost: return AptTmBoost;
					case AptTmFul: return AptTmFul;
					case AptTmEqu: return AptTmEqu;
					case CycTmFul: return CycTmFul;
					case CycTmEqu: return CycTmEqu;
					case ChrgVtgBoost: return ChrgVtgBoost;
					case ChrgVtgFul: return ChrgVtgFul;
					case ChrgVtgEqu: return ChrgVtgEqu;
					case ChrgVtgFlo: return ChrgVtgFlo;
					case BatTmpCps: return BatTmpCps;
					case AutoEquChrgEna: return AutoEquChrgEna;
					case BatPro1TmStr: return BatPro1TmStr;
					case BatPro1TmStp: return BatPro1TmStp;
					case BatPro2TmStr: return BatPro2TmStr;
					case BatPro2TmStp: return BatPro2TmStp;
					case BatPro1Soc: return BatPro1Soc;
					case BatPro2Soc: return BatPro2Soc;
					case BatPro3Soc: return BatPro3Soc;
					case SilentEna: return SilentEna ;
					case SilentTmFlo: return SilentTmFlo;
					case SilentTmMax: return SilentTmMax;
					case AcSrcFrqDel: return AcSrcFrqDel;
					case PvFeedTmStr: return PvFeedTmStr;
					case PvFeedTmStp: return PvFeedTmStp;
					case ExtLkTm: return ExtLkTm;
					case ExtSrc: return ExtSrc;
					case GdVtgMin: return GdVtgMin;
					case GdVtgMax: return GdVtgMax;
					case GdCurNom: return GdCurNom;
					case GdFrqNom: return GdFrqNom;
					case GdFrqMin: return GdFrqMin;
					case GdFrqMax: return GdFrqMax;
					case GdVldTm: return GdVldTm ;
					case GdMod: return GdMod ;
					case GdRvPwr: return GdRvPwr ;
					case GdRvTm: return GdRvTm ;
					case GdAISns: return GdAISns ;
					case GdVtgIncProEna: return GdVtgIncProEna;
					case GdVtgIncPro: return GdVtgIncPro ;
					case Rly1Op: return Rly1Op;
					case Rly2Op: return Rly2Op ;
					case Lod1SocTm1Str: return Lod1SocTm1Str ;
					case Lod1SocTm1Stp: return Lod1SocTm1Stp ;
					case Lod1SocTm2Str: return Lod1SocTm2Str ;
					case Lod1SocTm2Stp: return Lod1SocTm2Stp ;
					case Lod1Tm1Str: return Lod1Tm1Str ;
					case Lod1Tm2Str: return Lod1Tm2Str ;
					case RlyTmr1StrDt: return RlyTmr1StrDt;
					case RlyTmr1StrTm: return RlyTmr1StrTm;
					case RlyTmr1Dur: return RlyTmr1Dur;
					case RlyTmr1Cyc: return RlyTmr1Cyc;
					case RlyTmr2StrDt: return RlyTmr2StrDt;
					case RlyTmr2StrTm: return RlyTmr2StrTm;
					case RlyTmr2Dur: return RlyTmr2Dur;
					case RlyTmr2Cyc: return RlyTmr2Cyc;
					case Dt: return Dt;
					case Tm: return Tm;
					case ComBaud: return ComBaud;
					case EgyCntIn: return EgyCntIn ;
					case EgyCntOut: return EgyCntOut ;
					case EgyCntTm: return EgyCntTm ;
					case Adr: return Adr ;
					case FwVer: return FwVer ;
					case SN: return SN ;
					case OnTmh: return OnTmh ;
					case OpStt: return OpStt ;
					case CardStt: return CardStt ;
					case FwVer2: return FwVer2 ;
					case FwVer3: return FwVer3 ;
					case FwVer4: return FwVer4 ;
					case Soh: return Soh ;
					case StatTm: return StatTm ;
					case ChrgFact: return ChrgFact ;
					case BatEgyCntIn: return BatEgyCntIn ;
					case BatEgyCntOut: return BatEgyCntOut;
					case AhCntIn: return AhCntIn;
					case AhCntOut: return AhCntOut;
					case BatTmpPkMin: return BatTmpPkMin;
					case BatTmpPkMax: return BatTmpPkMax;
					case EquChrgCnt: return EquChrgCnt;
					case FulChrgCnt: return FulChrgCnt;
					case BatCurOfsErr: return BatCurOfsErr;
					case OcvPointCnt: return OcvPointCnt;
					case GdEgyCntIn: return GdEgyCntIn;
					case GdEgyCntOut: return GdEgyCntOut;
					case GdEgyTmh: return GdEgyTmh;
					case GdOpTmh: return GdOpTmh;
					case GdCtcCnt: return GdCtcCnt;
					case InvRs: return InvRs ;
					case InvTmOpEna: return InvTmOpEna ;
					case InvTmOpStrDt: return InvTmOpStrDt ;
					case InvTmOpStrTm: return InvTmOpStrTm ;
					case InvTmOpRnDur: return InvTmOpRnDur ;
					case InvTmOpCyc: return InvTmOpCyc ;
					case CntRs: return CntRs ;
					case ManChrgSel: return ManChrgSel;
					case BkupTst: return BkupTst;
					case ParaSto: return ParaSto ;
					case ParaLod: return ParaLod ;
					case CardFunc: return CardFunc ;
					case DatLogEna: return DatLogEna;
					
					case BatEta : return BatEta;
					case ChrgeFact : return ChrgeFact;
					case ClstCfgAt : return ClstCfgAt;
					case ExtCurSlv1 : return ExtCurSlv1;
					case ExtCurSlv2 : return ExtCurSlv2;
					case ExtCurSlv3 : return ExtCurSlv3;
					case ExtPwrAtSlv1 : return ExtPwrAtSlv1;
					case ExtPwrAtSlv2 : return ExtPwrAtSlv2;
					case ExtPwrAtSlv3 : return ExtPwrAtSlv3;
					case ExtPwrRtSlv1 : return ExtPwrRtSlv1;
					case ExtPwrRtSlv2 : return ExtPwrRtSlv2;
					case ExtPwrRtSlv3 : return ExtPwrRtSlv3;
					case ExtVtgSlv1 : return ExtVtgSlv1;
					case ExtVtgSlv2 : return ExtVtgSlv2;
					case ExtVtgSlv3 : return ExtVtgSlv3;
					case Fac : return Fac;
					case Firmware : return Firmware;
					case GnDmdSrc : return GnDmdSrc;
					case GnEgyCnt : return GnEgyCnt;
					case GnOpTmh : return GnOpTmh;
					case GnRmgTm : return GnRmgTm;
					case GnRnStt : return GnRnStt;
					case GnStrCnt : return GnStrCnt;
					case GnStt : return GnStt;
					case Iac : return Iac;
					case InvCurSlv1 : return InvCurSlv1;
					case InvCurSlv2 : return InvCurSlv2;
					case InvCurSlv3 : return InvCurSlv3;
					case InvOpSttSlv1 : return InvOpSttSlv1;
					case InvOpSttSlv2 : return InvOpSttSlv2;
					case InvOpSttSlv3 : return InvOpSttSlv3;
					case InvPwrAtSlv1 : return InvPwrAtSlv1;
					case InvPwrAtSlv2 : return InvPwrAtSlv2;
					case InvPwrAtSlv3 : return InvPwrAtSlv3;
					case InvPwrRtSlv1 : return InvPwrRtSlv1;
					case InvPwrRtSlv2 : return InvPwrRtSlv2;
					case InvPwrRtSlv3 : return InvPwrRtSlv3;
					case InvVtgSlv1 : return InvVtgSlv1;
					case InvVtgSlv2 : return InvVtgSlv2;
					case InvVtgSlv3 : return InvVtgSlv3;
					case Msg : return Msg;
					case Pac : return Pac;
					case TotExtCur : return TotExtCur;
					case TotExtPwrAt  : return TotExtPwrAt ;
					case TotExtPwrRt  : return TotExtPwrRt ;
					case TotInvCur : return TotInvCur;
					case TotInvPwrAt  : return TotInvPwrAt ;
					case TotInvPwrRt  : return TotInvPwrRt ;
					case TotTmh : return TotTmh;
					case Vac : return Vac;
					
					default: return "";
				}
			} catch (IllegalArgumentException iae) {
				return "";
			}
		} else {
			return "";
		}
	}
	
	enum knownChannels {
		AhCntln, InvOpStt, InvPwrAt, InvVtg, InvCur, InvFrq, InvPwrRt, Rly1Stt, Rly2Stt, BatSoc, BatVtg, BatChrgVtg, 
		AptTmRmg, BatChrgOp, TotBatCur, BatTmp, RmgTmFul, RmgTmEqu, AptPhs, BatSocErr, GdRmgTm, ExtPwrAt, 
		ExtVtg, ExtCur, ExtFrq, ExtPwrRt, InvVtgNom, InvChrgCurMax, InvFrqNom, InvVtgMin, InvVtgMax, InvFrqMin, 
		InvFrqMax, BatTyp, BatCpyNom, BatVtgNom, BatTmpMax, BatTmpStr, BatChrgCurMax, AptTmBoost, AptTmFul, 
		AptTmEqu, CycTmFul, CycTmEqu, ChrgVtgBoost, ChrgVtgFul, ChrgVtgEqu, ChrgVtgFlo, BatTmpCps, AutoEquChrgEna, 
		BatPro1TmStr, BatPro1TmStp, BatPro2TmStr, BatPro2TmStp, BatPro1Soc, BatPro2Soc, BatPro3Soc, SilentEna, 
		SilentTmFlo, SilentTmMax, AcSrcFrqDel, PvFeedTmStr, PvFeedTmStp, ExtLkTm, ExtSrc, GdVtgMin, GdVtgMax, 
		GdCurNom, GdFrqNom, GdFrqMin, GdFrqMax, GdVldTm, GdMod, GdRvPwr, GdRvTm, GdAISns, GdVtgIncProEna, 
		GdVtgIncPro, Rly1Op, Rly2Op, Lod1SocTm1Str, Lod1SocTm1Stp, Lod1SocTm2Str, Lod1SocTm2Stp, Lod1Tm1Str, 
		Lod1Tm2Str, RlyTmr1StrDt, RlyTmr1StrTm, RlyTmr1Dur, RlyTmr1Cyc, RlyTmr2StrDt, RlyTmr2StrTm, RlyTmr2Dur, 
		RlyTmr2Cyc, Dt, Tm, ComBaud, EgyCntIn, EgyCntOut, EgyCntTm, Adr, FwVer, SN, OnTmh, OpStt, CardStt, 
		FwVer2, FwVer3, FwVer4, Soh, StatTm, ChrgFact, BatEgyCntIn, BatEgyCntOut, AhCntIn, AhCntOut, BatTmpPkMin, 
		BatTmpPkMax, EquChrgCnt, FulChrgCnt, BatCurOfsErr, OcvPointCnt, GdEgyCntIn, GdEgyCntOut, GdEgyTmh, 
		GdOpTmh, GdCtcCnt, InvRs, InvTmOpEna, InvTmOpStrDt, InvTmOpStrTm, InvTmOpRnDur, InvTmOpCyc, CntRs, 
		ManChrgSel, BkupTst, ParaSto, ParaLod, CardFunc, DatLogEna,
		BatEta, ChrgeFact, ClstCfgAt, ExtCurSlv1, ExtCurSlv2, ExtCurSlv3, ExtPwrAtSlv1, ExtPwrAtSlv2, 
		ExtPwrAtSlv3, ExtPwrRtSlv1, ExtPwrRtSlv2, ExtPwrRtSlv3, ExtVtgSlv1, ExtVtgSlv2, ExtVtgSlv3, 
		Fac, Firmware, GnDmdSrc, GnEgyCnt, GnOpTmh, GnRmgTm, GnRnStt, GnStrCnt, GnStt, Iac, InvCurSlv1, 
		InvCurSlv2, InvCurSlv3, InvOpSttSlv1, InvOpSttSlv2, InvOpSttSlv3, InvPwrAtSlv1, InvPwrAtSlv2, 
		InvPwrAtSlv3, InvPwrRtSlv1, InvPwrRtSlv2, InvPwrRtSlv3, InvVtgSlv1, InvVtgSlv2, InvVtgSlv3, 
		Msg, Pac, TotExtCur, TotExtPwrAt , TotExtPwrRt , TotInvCur, TotInvPwrAt , TotInvPwrRt , TotTmh, Vac
	}
}
