package org.openmuc.sunnywebbox.test;
import java.util.ListIterator;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

import junit.framework.TestCase;


public class SunnyWebboxDeviceTest extends TestCase {
	private String connectedDevices = "{\"format\":\"JSON\",\"result\":{\"totalDevicesReturned\":2,\"devices\":[{\"key\":\"SI5048EG:1260004973\",\"name\":\"SI5048EG:1260004973\"},{\"key\":\"WRTL1EB9:2100141044\",\"name\":\"WRTL1EB9:2100141044\"}]},\"proc\":\"GetDevices\",\"version\":\"1.0\",\"id\":\"1\"}";
	private JSONObject json_obj;
	private JSONParser json_parser = new JSONParser();
	private JSONArray json_array = new JSONArray();
	
	public void testParse() throws ParseException {
		json_obj = (JSONObject) json_parser.parse(connectedDevices);
		json_obj = (JSONObject) json_obj.get("result");
		json_array = (JSONArray) json_obj.get("devices");
		ListIterator iter = json_array.listIterator();
		while (iter.hasNext()) {
			json_obj = (JSONObject) iter.next();
			System.out.println(json_obj.get("key"));
		}
	}
	
	public void testParse2() throws ParseException {
		String toParse = "{\"format\":\"JSON\",\"result\":{\"devices\":[{\"key\":\"SI5048EG:1260004973\",\"channels\":[{\"unit\":\"\",\"meta\":\"Rly2Stt\",\"name\":\"Rly2Stt\",\"value\":\"Off\"},{\"unit\":\"h\",\"meta\":\"GnOpTmh\",\"name\":\"GnOpTmh\",\"value\":\"2613.0\"}]}]},\"proc\":\"GetProcessData\",\"version\":\"1.0\",\"id\":\"1\"}";
		json_obj = (JSONObject) json_parser.parse(toParse);
		json_obj = (JSONObject) json_obj.get("result");
		json_array = (JSONArray) json_obj.get("devices");
		json_obj = (JSONObject) json_array.get(0);
		System.out.println(json_obj.get("key"));
		json_array = (JSONArray)json_obj.get("channels");
		
		ListIterator iter = json_array.listIterator();
		while (iter.hasNext()) {
			json_obj = (JSONObject) iter.next();
			System.out.print(json_obj.get("meta"));
			System.out.print(" = ");
			System.out.println(json_obj.get("value"));
		}
	}
}
