package org.openmuc.wago.test;

import org.openmuc.wago.MalformedObjectLocatorException;
import org.openmuc.wago.WagoObjectLocator;

import junit.framework.TestCase;

public class WagoObjectLocatorTest extends TestCase {

	public void testWagoObjectLocator() {
		
		try {
			WagoObjectLocator loc1 = new WagoObjectLocator("n1.input(0)");		
			assertEquals(loc1.getModuleNo(), 1);
			assertEquals(loc1.isInput(), true);
			assertEquals(loc1.getChannel(), 0);
			
			WagoObjectLocator loc2 = new WagoObjectLocator("n12.output(22)");		
			assertEquals(loc2.getModuleNo(), 12);
			assertEquals(loc2.isInput(), false);
			assertEquals(loc2.getChannel(), 22);
		} catch (MalformedObjectLocatorException e) {
			fail("Unexpected exception");
		}
		
		try {
			WagoObjectLocator loc1 = new WagoObjectLocator("e1.input(0)");		
			fail("Exception is missing!");
		} catch (MalformedObjectLocatorException e) {
		}
		
		try {
			WagoObjectLocator loc1 = new WagoObjectLocator("n1.inpu(0)");		
			fail("Exception is missing!");
		} catch (MalformedObjectLocatorException e) {
		}
		
		try {
			WagoObjectLocator loc1 = new WagoObjectLocator("n.input(0)");		
			fail("Exception is missing!");
		} catch (MalformedObjectLocatorException e) {
		}
		
		try {
			WagoObjectLocator loc1 = new WagoObjectLocator("n123.input()");		
			fail("Exception is missing!");
		} catch (MalformedObjectLocatorException e) {
		}
	}

}
