package org.openmuc.mbuswebtool.internal;

/*
 * Copyright Fraunhofer ISE, 2011
 * Author(s): Frederic Robra
 *    
 * This file is part of openMUC.
 * For more information visit http://www.openmuc.org
 * 
 * openMUC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * openMUC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with openMUC.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

import java.util.ArrayList;
import java.util.List;

import org.openmuc.jmbus.MBusASAP;

/**
 * @author Frederic Robra
 *
 */
public class MBusScan extends Thread {

	private boolean running;
	private String device;
	private List<String> primaryAddresses;
	private int progress;
	
	public MBusScan() {
		this.progress = -1;
		this.running = false;
	}
	
	@Override
	public void run() {
		running = true;
		primaryAddresses = new ArrayList<String>();
		MBusASAP connection = null;
		try {
			connection = new MBusASAP(device, "2400-8N1");
			for (progress = 0; (progress < 256) && running; progress++) {
				try {
					connection.readMeter("p" + progress);
					primaryAddresses.add("p" + progress);
					System.out.println("Found address: p" + progress);
				}
				catch (Exception e) { }
			}
			progress = -1;
		}
		catch (Exception e) { }
		finally {
			connection.closeSerialPort();
			running = false;
		}
		return;
	}
	
	public void stopScan() {
		running = false;
	}
	
	public List<String> getPrimaryAddresses() {
		return primaryAddresses;
	}

	public int getProgress() {
		return progress;
	}

	public boolean isRunning() {
		return running;
	}

	public void setDevice(String device) {
		this.device = device;
	}

	public String getDevice() {
		return device;
	}
	
	
}
