package org.openmuc.sunnywebtool.internal;

import java.util.HashMap;
import java.util.List;
import java.util.Vector;

import org.openmuc.core.driver.ChannelInformation;
import org.openmuc.core.driver.DeviceURI;

public class SunnyAttachedDevice {
	private List<ChannelInformation> channels;
	private DeviceURI url;
	private String address;
	List<ExtendedChannelInformation> chaninf;
	
	public SunnyAttachedDevice(DeviceURI url, List<ChannelInformation> channels) {
		this.url = url;
		this.address = url.getAddress();
		this.channels = channels;
		
		chaninf = new Vector<ExtendedChannelInformation>();
		for (ChannelInformation channel : channels) {
			chaninf.add(new ExtendedChannelInformation(channel.getName(), channel.getDLMSUnitCode(), channel.getDescription()));
		}
	}
	
	public DeviceURI getURL() {
		return this.url;
	}
	
	public List<ExtendedChannelInformation> getChannels() {
		return chaninf;
	}
	public String getAddress() {
		return this.address;
	}
}
