package org.openmuc.wagowebtool.internal;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.GregorianCalendar;

import org.openmuc.core.datamanager.config.ConfigurationService;
import org.openmuc.core.datamanager.config.DeviceConfiguration;
import org.openmuc.core.datamanager.config.ChannelConfiguration;
import org.openmuc.wago.Wago750DeviceNode;

public class DeviceConfigurator {
	private ConfigurationService configService;

	public DeviceConfigurator(ConfigurationService configService) {
		this.configService = configService;
	}

	public void configureDevice(ArrayList<RegisterInfo> registers,String ip,
			Wago750DeviceNode[] deviceNodes) throws Exception{
		// TODO Auto-generated method stub
		String deviceName = "WagoIO-" + ip;
		DeviceConfiguration newMeter = configService.createDevice(deviceName);
		newMeter.setDescription("autogenerated");
		newMeter.setVendorID("WAGO");
		newMeter.setDeviceID("750-" + deviceNodes[0].type);
		newMeter.setMeterUrl("wagoio::"+ ip);
		
		Calendar cal = new GregorianCalendar();
		cal.set(Calendar.YEAR, 2010);
		cal.set(Calendar.MONTH, 0);
		cal.set(Calendar.DAY_OF_MONTH, 1);
		cal.set(Calendar.HOUR_OF_DAY, 0);
		cal.set(Calendar.MINUTE, 0);
		cal.set(Calendar.SECOND, 0);
		cal.set(Calendar.MILLISECOND, 0);
		
		for(RegisterInfo register : registers){
			ChannelConfiguration newRegister=newMeter.createChannel(register.getLabel());
			
			newRegister.setObjectLocator(register.getObjectLocator());
			newRegister.setStoringPeriod(60);
			newRegister.setStorageType(ChannelConfiguration.STORE_TYPE_MEAN);
			newRegister.setDescription(register.getDescription());
			newRegister.setUnit(register.getUnit());
			newRegister.setStoringStartTime(cal.getTime());
			
		}
		
		configService.persist();
	}
}
