package org.openmuc.webconfigadmin.internal;

import org.osgi.framework.Bundle;

public class BundleInfo {
	private Bundle bundle;

	public BundleInfo(Bundle bundle) {
		this.bundle = bundle;
	}
	
	public String getSymbolicName() {
		return bundle.getSymbolicName();
	}
	
	public String getState() {
		int state = bundle.getState();
		
		switch (state) {
		case Bundle.ACTIVE:
			return "active";
		case Bundle.INSTALLED:
			return "installed";
		case Bundle.RESOLVED:
			return "resolved";
		case Bundle.STARTING:
			return "starting";
		case Bundle.STOPPING:
			return "stopping";
		case Bundle.UNINSTALLED:
			return "uninstalled";
		default:
			return "unknown";
		}
	}
	
	public long getBundleId() {
		return bundle.getBundleId();
	}
	
//	public String getVersionString() {
//		Version version = bundle.getVersion();
//	}
}
