package org.openmuc.webconfigadmin.internal;

import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.service.metatype.MetaTypeService;
import org.osgi.util.tracker.ServiceTracker;

public class MetaTypeServiceTracker extends ServiceTracker {
	
	private MetaTypeService metaTypeService = null;

	public MetaTypeServiceTracker(BundleContext context) {
		super(context, MetaTypeService.class.getName(), null);
	}
	
	public MetaTypeService getMetaTypeService() {
		return metaTypeService;
	}

	@Override
	public Object addingService(ServiceReference reference) {
		metaTypeService = (MetaTypeService) context.getService(reference);
		
		System.out.println("Found MetaTypeService: " + metaTypeService);

		return metaTypeService;
	}

	@Override
	public void removedService(ServiceReference reference, Object service) {
		metaTypeService = null;		
		context.ungetService(reference);
	}
}
