package org.openmuc.webdataplot.internal;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import org.openmuc.webinterface.View;

public class PlotView implements View {

	private String template;
	
	public PlotView(String template) {
		this.template = template;
	}
	
	private HashMap<String, Object> context = new HashMap<String,Object>();
	
	public void addToContext(String key, Object object) {
		context.put(key, object);
	}
	
	public HashMap<String, Object> getContext() {
		return context;
	}

	public List<String> getJavaScripts() {
		ArrayList<String> javaScripts=new ArrayList<String>();
		javaScripts.add("js/jquery.jqplot.js");
		javaScripts.add("js/jquery.ui.min.js");
		javaScripts.add("js/jqplot.cursor.min.js");
		javaScripts.add("js/jqplot.dateAxisRenderer.min.js");
		javaScripts.add("js/jqplot.canvasAxisLabelRenderer.min.js");
		javaScripts.add("js/jqplot.canvasTextRenderer.min.js");
		javaScripts.add("js/jqplot.barRenderer.min.js");
		javaScripts.add("js/jqplot.categoryAxisRenderer.min.js");
		javaScripts.add("js/jqplot.canvasOverlay.min.js");
		javaScripts.add("js/ui.spinner.js");
		javaScripts.add("js/script.js");
		return javaScripts;
	}

	public List<String> getStyleSheets() {
		ArrayList<String> styleSheets = new ArrayList<String>();
		styleSheets.add("css/jquery.jqplot.css");
		styleSheets.add("/openmuc/css/openmuc-theme/jquery-ui-1.8.14.custom.css");
		styleSheets.add("css/style.css");
		return styleSheets;
	}

	public String getTemplate() {
		return template;
	}

	public String getPage() {
		return "Data Plotter";
	}

	public String getRedirectLocation() {
		return null;
	}

	public viewtype getViewType() {
		// TODO Auto-generated method stub
		return null;
	}
}
