package org.openmuc.webexporttool.internal;

import org.openmuc.core.datamanager.DataManager;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.util.tracker.ServiceTracker;

public class DataManagerTracker extends ServiceTracker 
{	
	private DataManager dataManager = null;
	private BundleContext context;
		
	public DataManagerTracker(BundleContext context) {
		super(context, DataManager.class.getName(), null);
		this.context = context;
	}

	@Override
	public Object addingService(ServiceReference reference) {
		this.dataManager = (DataManager) context.getService(reference);
		return this.dataManager;
	}

	@Override
	public void removedService(ServiceReference reference, Object service) {
		dataManager = null;
		context.ungetService(reference);
	}

	public DataManager getDataManager() {
		return dataManager;
	}	
}
