package org.openmuc.webinterface.internal;

import java.util.ArrayList;
import java.util.List;

public class MenuItem {
	
	private String name;
	private String reference;
	private String description;
	
	private boolean active = false;
	
	private List<MenuItem> subItems = new ArrayList<MenuItem>();
	
	public MenuItem(String name, String reference) {
		this.name = name;
		this.reference = reference;
	}
	
	public MenuItem(String name, String reference, String description){
		this.name = name;
		this.reference = reference;
		this.description = description;
	}

	public String getName() {
		return name;
	}

	public String getReference() {
		return reference;
	}
	
	public String getDescription() {
		if(description!=null){
			return description;
		}
		else{
			return "";
		}
	}	
	
	public List<MenuItem> getSubItems() {
		return subItems;
	}
	
	public void addSubItem(MenuItem item) {
		subItems.add(item);
	}
	
	public boolean hasSubItems() {
		if (subItems.size() > 0)
			return true;
		else
			return false;
	}
	
	public void setActive() {
		this.active = true;
	}
	
	public boolean isActive() {
		return active;
	}
	
	public String getCssClass() {
		if (subItems.size() == 0) {
				return "menuEndNode";
		}			
		else {
			if (active)
				return "menuActive";
			else
				return "menuClosed";
		}
	}
}

