package org.openmuc.webinterface.internal;

import org.junit.Test;
import org.openmuc.webinterface.PluginContext;

import static org.junit.Assert.*;

public class TestPluginContext {
	
	@Test
	public void testPluginContext() {
		String pathInfo = "/configuration/measurementconfig/edit";
		
		PluginContext context = new PluginContextImpl(pathInfo, null, null);
		
		assertEquals("/openmuc/configuration/measurementconfig", context.getApplicationPath());
		assertEquals("measurementconfig", context.getApplicationAlias());
		assertEquals("/edit", context.getLocalPath());
	}
	
	@Test
	public void testEmptyPathInfo() {
		String pathInfo = "/";
		
		PluginContext context = new PluginContextImpl(pathInfo, null, null);
		
		assertEquals("", context.getApplicationPath());
		assertEquals("", context.getApplicationAlias());
		assertEquals("", context.getLocalPath());
	}
	
	@Test
	public void testMissingApplicationAlias() {
		String pathInfo = "/openmuc/configuration";
		
		PluginContext context = new PluginContextImpl(pathInfo, null, null);
		
		assertEquals("", context.getApplicationPath());
		assertEquals("", context.getApplicationAlias());
		assertEquals("", context.getLocalPath());		
	}
}
